summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTobi Oetiker <tobi@oetiker.ch>2011-09-29 08:30:14 +0200
committerTobi Oetiker <tobi@oetiker.ch>2011-09-29 08:30:14 +0200
commit45eaeac285e281d808ac45e6a736628765e6c55a (patch)
treebe70bff953acfc493fda14dfacda14bd291a59cb
parent6ffd03fa16badf0d5454ea2cfbf47796b9d5643c (diff)
downloadsmokeping-45eaeac285e281d808ac45e6a736628765e6c55a.tar.gz
smokeping-45eaeac285e281d808ac45e6a736628765e6c55a.tar.xz
preparing for the release of smokeping-
-rwxr-xr-xrelease-smokeping.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/release-smokeping.sh b/release-smokeping.sh
new file mode 100755
index 0000000..18822c9
--- /dev/null
+++ b/release-smokeping.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+VERSION=`perl -n -e 'm/\QAC_INIT([rrdtool],[\E(.+?)\Q])\E/ && print $1' configure.ac`
+svn commit -m "preparing for the release of smokeping-$VERSION"
+cd /tmp
+svn export svn://svn.oetiker.ch/smokeping/trunk/software smokeping-$$
+cd smokeping-$$
+aclocal
+autoconf
+automake -a -c
+./setup/build-perl-modules.sh /tmp/smokeping-$$-build/thirdparty
+./configure --enable-maintainer-mode --prefix=/tmp/smokeping-$$-build PERL5LIB=/scratch/oetiker/rrd-dev/lib/perl
+make dist
+scp smokeping-$VERSION.tar.gz oposs@james:public_html/smokeping/pub
+cd /tmp
+rm -r smokeping-$$*
+svn copy -m "tagging version $VERSION" svn://svn.oetiker.ch/smokeping/trunk/software svn://svn.oetiker.ch/smokeping/tags/$VERSION
+